> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get induction

> Get an induction by identifier (numeric) or ID (ind_ prefix)



## OpenAPI

````yaml GET /builders/{builderId}/projects/{projectId}/inductions/{identifierOrId}
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /builders/{builderId}/projects/{projectId}/inductions/{identifierOrId}:
    get:
      description: Get an induction by identifier (numeric) or ID (ind_ prefix)
      operationId: getProjectInduction
      parameters:
        - name: builderId
          description: The ID of the builder
          in: path
          required: true
          schema:
            type: string
            example: buil_clgbsb90b001qjy0f0eo1hspp
        - name: projectId
          description: The ID of the project
          in: path
          required: true
          schema:
            type: string
            example: prj_clgbsb90b001qjy0f0eo1hspp
        - name: identifierOrId
          description: >-
            The project-specific identifier (numeric, e.g. 5) or the induction
            ID (with ind_ prefix, e.g. ind_abc123)
          in: path
          required: true
          schema:
            type: string
            example: '5'
        - name: X-BuildPass-Api-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/X-BuildPass-Api-Version'
      responses:
        '200':
          description: An induction object with form data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InductionWithData'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2: []
components:
  schemas:
    X-BuildPass-Api-Version:
      type: string
      example: v1
      default: v1
      enum:
        - v1
      description: What API version to use.
    InductionWithData:
      allOf:
        - $ref: '#/components/schemas/Induction'
        - type: object
          properties:
            data:
              type: array
              nullable: true
              description: >-
                Array of capture fields with user-provided data from the
                induction form
              items:
                $ref: '#/components/schemas/InductionBlock'
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
                example: name
              message:
                type: string
                example: This field is required.
    Induction:
      type: object
      properties:
        id:
          type: string
          example: ind_clgbsb90b001qjy0f0eo1hspp
          description: The ID of the induction
        identifier:
          type: number
          nullable: true
          example: 1
          description: The project-specific identifier for the induction
        createdAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        updatedAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        type:
          type: string
          enum:
            - BUILDER_INDUCTION
            - PROJECT_INDUCTION
          example: PROJECT_INDUCTION
        status:
          type: string
          enum:
            - REVIEWED
            - WAITING_REVIEW
            - CHANGES_REQUESTED
          example: WAITING_REVIEW
        project:
          type: object
          nullable: true
          properties:
            id:
              type: string
              example: prj_clgbsb90b001qjy0f0eo1hspp
            name:
              type: string
              example: Downtown Mall Construction
        worker:
          type: object
          properties:
            id:
              type: string
              example: wkr_clgbsb90b001qjy0f0eo1hspp
            fullName:
              type: string
              example: John Doe
        subcontractor:
          type: object
          nullable: true
          properties:
            id:
              type: string
              example: sub_clgbsb90b001qjy0f0eo1hspp
            name:
              type: string
              example: ABC Contractors
    InductionBlock:
      type: object
      description: >-
        A capture field in the induction form with user-provided data.
        Display-only fields are excluded.
      properties:
        name:
          type: string
          example: Emergency Contact
          description: >-
            The name of the field, defaults to a readable version of the type if
            not provided
        type:
          type: string
          example: text
          description: >-
            The type of capture field (text, select, checkbox, signature,
            dateTime, etc.)
        value:
          description: The value provided by the user
          example: Jane Doe
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````